//Deck.java - a deck of playing cards
class Deck {
  Card[] deck;
  Deck() {
    deck = new Card[52];
    for (int i = 0; i < deck.length; i++)
      deck[i] = new Card(new Suit(i / 13 + 1),
                      new Pips(i % 13 + 1));   
  }
  void shuffle() {   
    for (int i = 0; i < deck.length; i++){
      int k = (int)(Math.random() * 52);
      Card t = new Card(deck[i]);
      deck[i] = deck[k];
      deck[k] = t;    
    } 
  } 
  public  String toString()  { 
    String t = ""; 
    for (int i = 0; i < 52; i++)
      if ( (i + 1) % 5 == 0)
        t = t + "\n" + deck[i];
      else     
        t = t + deck[i];
      return t;
  }
}
